v1.0
put
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/label-groups/{id}
Updates label groups by study ID. Rights: OrsInventoryPost and OrsUnblinded.
Request
Path Parameters
-
id(required): string(uuid)
ID of the label group.
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Supported Media Types
- application/json
Root Schema : Label Group Request
Type:
objectTitle:
Label Group RequestLabel group request parameters.
Show Source
-
countries(required): array
Countries
Title:
CountriesMinimum Number of Items:1Maximum Number of Items:2147483647List of country IDs. -
name(required): string
Minimum Length:
1Maximum Length:50Label group name.Example:Label1001
Nested Schema : Countries
Type:
arrayTitle:
CountriesMinimum Number of Items:
1Maximum Number of Items:
2147483647List of country IDs.
Show Source
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : IDResponse v1.0
Type:
objectTitle:
IDResponse v1.0Response containing the identifier.
Show Source
400 Response
Label group already exists. OR Country does not exist in the system.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object403 Response
The study identifier does not match any study identifiers in Clinical One
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object